# Cancelled Pickup Document

This operation generates a PDF receipt for pickup cancellations. It supports creating receipts for multiple cancelled pickups.

Endpoint: POST /api/v1/pickups/document
Version: 1.0.0
Security: bearerAuth

## Query parameters:

  - `type` (string, required)
    Specifies the type of document being retrieved. Use 'cancelled' to generate a receipt for cancelled pickups.

## Header parameters:

  - `X-PB-Developer-Partner-Id` (string)
    This is the Developer Partner ID. When the developer is the only partner, this field is not required.

## Request fields (application/json):

  - `pickupIds` (array)
    The pickup Ids which are cancelled and for which receipt is required.

## Response 200 fields (application/json):

  - `url` (string)
    The URL for accessing the generated PDF document.
    Example: https://22593*****-sending-service-**.s3-fips.us-east-1.amazonaws.com/scheduled-pickup/UPS10181697635567196cancelled.pdf

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due to HTTP  400- Invalid or Bad Request, e.g., validation-error.
    Example: validation_error

  - `errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: string

  - `additionalCode` (string)
    A unique identifier for the error, for example 1101055, 0100008, or 1021126.

  - `additionalInfo` (string)
    This is an additional information about the error. This error 'Invalid Request' might appear due to invalid dimension, weight, or serviceID, or if the information is missing.

  - `additionalParameters` (array)

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, which indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

## Response 500 fields (application/json):

  - `message` (string, required)
    This is HTTP 500 Internal Server Error response status code, which indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

